[PPA] Instalacja Firefox 5.0/6.0/7.0/8.0 oraz Thunderbird 5.0/6.0/7.0/8.0

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

Wraz z wydaniem Firefoksa 4.0, twórcy zapowiedzieli częstsze wydawanie wersji stabilnych tej popularnej przeglądarki internetowej. Zmiany objęły również Thunderbirda i kilka dni po premierze Firefox 5.0 ukazała się nowa wersja klienta pocztowego oznaczona tym samym numerem.

Poniżej umieszczam zbiór komend, którymi zainstalujesz poszczególne wersje Firefoksa/Thunderbirda. Za każdym razem jest to:

  1. dodanie repozytorium,
  2. aktualizacja systemu,
  3. instalacja nowej wersji aplikacji.

Oczywiście (na dzień dzisiejszy), każda wersja powyżej 5.0 jest wersją BETA.

Firefox

Firefox 5.0 – Ubuntu 10.04, 10.10, 11.04

sudo add-apt-repository ppa:mozillateam/firefox-stable
sudo apt-get update
sudo apt-get dist-upgrade

Firefox 6.0 – Ubuntu 10.04, 10.10, 11.04

sudo add-apt-repository ppa:mozillateam/firefox-next
sudo apt-get update
sudo apt-get dist-upgrade

Firefox 7.0 – Ubuntu 10.04, 10.10, 11.04, 11.10

sudo add-apt-repository ppa:ubuntu-mozilla-daily/firefox-aurora
sudo apt-get update
sudo apt-get dist-upgrade

Firefox 8.0 – Ubuntu 10.04, 10.10, 11.04, 11.10

sudo add-apt-repository ppa:ubuntu-mozilla-daily/ppa
sudo apt-get update
sudo apt-get install firefox-trunk

Thunderbird

Thunderbird 5.0 – Ubuntu 10.04, 10.10, 11.04

sudo add-apt-repository ppa:mozillateam/thunderbird-stable
sudo apt-get update
sudo apt-get dist-upgrade

Thunderbird 6.0 – Ubuntu 10.04, 10.10, 11.04

sudo add-apt-repository ppa:mozillateam/thunderbird-next
sudo apt-get update
sudo apt-get dist-upgrade

Thunderbird 7.0 – Ubuntu 10.04, 10.10, 11.04, 11.10

sudo add-apt-repository ppa:ubuntu-mozilla-daily/thunderbird-aurora
sudo apt-get update
sudo apt-get dist-upgrade

Thunderbird 8.0 – Ubuntu 10.04, 10.10, 11.04, 11.10

sudo add-apt-repository ppa:ubuntu-mozilla-daily/ppa
sudo apt-get update
sudo apt-get install thunderbird-trunk
Źródło: ubuntuguide.net
Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • Lopez

    A jak bym chciał zainstalować najnowszego Firefox’a nr 1234522113244 to co muszę dodać ? Chyba kogoś w Mozilli pogięło z numeracją.

    • Niesławek

      Co za różnica czy masz 4.1 i 4.2 czy 5.0 i 6.0 ?

  • Shimmy

    Plan wydawniczy Firefoksa jest chory, nie ma już co zmieniać a oni to komplikują.. nie wiem kogo obchodzi 8 czy 7 wersjia Firefoxa, chyba tylko dzieci mających się za geeków.

    • michal671

      Niedawno czekaliśmy z niecierpliwością na 4.0, bo była trochę rewolucyjna, ale Windows users lubią cyferki, więc Firefox postanowił gonić Google Chrome, które niedługo zmieni numerację na tą znaną ze sterowników do kart graficznych NVIDIA (przypominam, że najnowsza wersja 275.21). Czyli będzie Firefox 20, Google Chrome 400 i NVIDIA 2464.24 :D.

  • ubuot

    A ja mam w 10.04.3 lts firefix 3.6, oraz pobrany ze strony mozilli 5.0 który nie był instalowany tylko podałem scieżkę do ikony na panelu. Teraz bym chciał zainstalować firefox 8.0. Czy te trzy przegladarki nie bedą sie gryzły ze sobą? Czy trzeba usunąc tego starego firefox z repo oraz rozszerzenie ubufox. By zainstalować ten nowy firefox 8.0. Bo ta spakowana firefox 5.0 ze strony mozilli to w ogólr nie przeszkadzała tej wersji z repo 3.6?

  • ubuot

    Coś poszło nie tak gdy chcę zrobić update wyskakuje to sudo apt-get update
    E: Typ „n” jest nieznany w linii 2 listy źródeł /etc/apt/sources.list.d/ubuntu-mozilla-daily-ppa-lucid.list

  • ubuot

    Dobra już działa, można usunąc te dwa komentarze.

  • rob

    JA mam FF v.8 tylko niech ktoś mi powie jak mam sobie zainstalować v.7 bo mi część addonów nie działa.

    • http://www.ubuntu-pomoc.org Szmitas

      Usuń repozytorium dot. wersji 8 i zaktualizuj system. W Synaptciu odszukaj Firefoksa i wymuś wersję 7.

  • rob

    Uff udało mi się wielkie dzięki.
    1. Usunąć FF 8
    2. W synapticu (System – Administration) wpisać firefox – wyskoczy najnowsza wersja czyli 8
    3. Klikamy: Package – Force version – i wybieramy wersje (7 w moim przypadku)